# ldap

#### Table of Contents

1. [Overview](#overview)
2. [Module Description - What the module does and why it is useful](#module-description)
3. [Setup - The basics of getting started with ldap](#setup)
    * [What ldap affects](#what-ldap-affects)
    * [Setup requirements](#setup-requirements)
    * [Beginning with ldap](#beginning-with-ldap)
4. [Usage - Configuration options and additional functionality](#usage)
5. [Reference - An under-the-hood peek at what the module is doing and how](#reference)
5. [Limitations - OS compatibility, etc.](#limitations)
6. [Development - Guide for contributing to the module](#development)

## Overview

Basicamente el modulo configura el demonio sssd en SO derivados de RHEL, tambien tiene la opcion de permitir grupos especificos

## Module Description

Es aplicable para habilitar acceso segun la funcion de los equipos.
Por ejemplo a los equipos de dba solo puede acceder el grupo dba, entonces se debe establecer $allow='dba'

## Setup

Se debe copiar los archivos del modulo a la carpeta de modulos de su servidor Puppet-Master
luego se debe definir los nodos
Ej:
node oracle1{
	$allow='dba'
	include ldap
	}

### What ldap affects

* Instala el paquete sssd-client.
* Modifica los archivos nsswitch.conf, sssd.conf y sudo-ldap.
* Ejecuta un comando authconfig tomando los parametros cargardos en el archivo parametros.pp.

### Setup Requirements **OPTIONAL**

### Beginning with ldap

Es necesario cargar los parametros de nuestro servidor LDAP en el archivo manifests/parametros.pp
En ese archivo estan datos de ejemplo de manera a facilitar la comprension.

## Usage

Se debe definir a un nodo, y al aplicarse el mismo podra autenticar contra el servidor LDAP

## Reference


## Limitations

Este modulo esta pensado para sistemas operativos derivados de Red Hat Enterprise Linux 6.x y 7.x
El mismo fue desarrollado y probado en entornos RHEL6

## Development

El modulo cumple los requerimientos basicos para la autenticacion via LDAP, sin embargo se le pueden agregar varias 
funciones como por ejemplo la integracion con hiera

## Release Notes/Contributors/Etc **Optional**
