# == Class: ldap
#
# === Variables
#
# $allow
#
# === Examples
#
#  node node1 {
#   $allow='group1,group2'
#    include ldap,
#  }
#
# === Authors
#
# Victor Jose Acosta <vic.ad94@gmail.com>
#
# === Copyright
#
# Copyright 2014 Victor Jose Acosta.
#
class ldap{
  # Se verifica que el equipo sea de la familia red hat
  if $osfamily == RedHat{
  # Se verifica que el equipo sea version 6 o version 7 de RHEL
  if ($::operatingsystemmajrelease == '6' ) or ( $::operatingsystemmajrelease == '7' ){ 
    include ldap::parametros
    include ldap::authconfig
    include ldap::sssd
    }
  }
}
